Skip to Content

Get a recipient tracking preference

Returns the organization-scoped tracking opt-out for a normalized recipient email. A missing preference reads as opted in and is not created.

GET
/v1/email/tracking/recipients

Returns the organization-scoped tracking opt-out for a normalized recipient email. A missing preference reads as opted in and is not created.

Authorization

apiKey
headerx-api-key<token>

Query Parameters

email*string
Match^(?=[^@]{1,64}@)[A-Za-z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[A-Za-z0-9!#$%&'*+/=?^_`{|}~-]+)*@[^\s@/\\:#?%[\]\p{Cc}]+[.\u3002\uff0e\uff61][^\s@/\\:#?%[\]\p{Cc}]+$

Response Body

EmailRecipientTrackingPreference

application/json
  1. response
email*TrackingRecipientEmail
Match^(?=[^@]{1,64}@)[A-Za-z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[A-Za-z0-9!#$%&'*+/=?^_`{|}~-]+)*@[^\s@/\\:#?%[\]\p{Cc}]+[.\u3002\uff0e\uff61][^\s@/\\:#?%[\]\p{Cc}]+$
optedOut*boolean
trackingOptedOutAt*string|null
createdAt*string|null
updatedAt*string|null
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.email.getRecipientTrackingPreference({
  "email": "example"
});
Example Response
{
  "email": "string",
  "optedOut": true,
  "trackingOptedOutAt": "string",
  "createdAt": "string",
  "updatedAt": "string"
}

Related documentation